SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions

# sdh/sdhexception.cpp File Reference

Implementation of the exception base class SDH::cSDHLibraryException and SDH::cMsg. More...

`#include "sdhlibrary_settings.h"`
`#include <cstring>`
`#include "sdhexception.h"`
Include dependency graph for sdhexception.cpp:

## Namespaces
namespace | SDH
## Functions
std::ostream & | SDH::operator<< (std::ostream &stream, cMsg const &msg)
std::ostream & | SDH::operator<< (std::ostream &stream, cSDHLibraryException const &e)

## Detailed Description

Implementation of the exception base class SDH::cSDHLibraryException and SDH::cMsg.

## General file information

Author:
  Dirk Osswald

Date:
  2007-02-22

## Copyright

Copyright (c) 2007 SCHUNK GmbH & Co. KG